# Generated by Django 3.2.19 on 2023-12-11 22:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('arch', '0001_initial'),
        ('operatingsystems', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='PackageString',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=255)),
                ('epoch', models.CharField(blank=True, max_length=255, null=True)),
                ('release', models.CharField(blank=True, max_length=255, null=True)),
                ('arch', models.CharField(max_length=255)),
                ('packagetype', models.CharField(blank=True, max_length=1, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('url', models.URLField(blank=True, max_length=255, null=True)),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ErratumReference',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='PackageName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            options={
                'verbose_name': 'Package',
                'verbose_name_plural': 'Packages',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Package',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('epoch', models.CharField(blank=True, max_length=255, null=True)),
                ('version', models.CharField(max_length=255)),
                ('release', models.CharField(blank=True, max_length=255, null=True)),
                ('packagetype', models.CharField(blank=True, choices=[('R', 'rpm'), ('D', 'deb'), ('A', 'arch'), ('U', 'unknown')], max_length=1, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('url', models.URLField(blank=True, max_length=255, null=True)),
                ('arch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='arch.packagearchitecture')),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='packages.packagename')),
            ],
            options={
                'ordering': ('name', 'epoch', 'version', 'release', 'arch'),
                'unique_together': {('name', 'epoch', 'version', 'release', 'arch', 'packagetype')},
            },
        ),
        migrations.CreateModel(
            name='Erratum',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('etype', models.CharField(max_length=255)),
                ('issue_date', models.DateTimeField()),
                ('synopsis', models.CharField(max_length=255)),
                ('arches', models.ManyToManyField(blank=True, to='arch.MachineArchitecture')),
                ('packages', models.ManyToManyField(blank=True, to='packages.Package')),
                ('references', models.ManyToManyField(blank=True, to='packages.ErratumReference')),
                ('releases', models.ManyToManyField(blank=True, to='operatingsystems.OSGroup')),
            ],
            options={
                'verbose_name': 'Erratum',
                'verbose_name_plural': 'Errata',
            },
        ),
        migrations.CreateModel(
            name='PackageUpdate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('security', models.BooleanField(default=False)),
                ('newpackage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='newpackage', to='packages.package')),
                ('oldpackage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='oldpackage', to='packages.package')),
            ],
            options={
                'unique_together': {('oldpackage', 'newpackage', 'security')},
            },
        ),
    ]
